> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detach Managed Resource

> Copy a managed resource into an editable, customer-owned resource.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /workspaces/{workspace_id}/managed-resources/detach
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /workspaces/{workspace_id}/managed-resources/detach:
    post:
      tags:
        - managed-resources
      summary: Detach Managed Resource
      description: Copy a managed resource into an editable, customer-owned resource.
      operationId: managed-resources-detach_managed_resource
      parameters:
        - name: workspace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Workspace Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ManagedResourceDetach'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DetachedCopy'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    ManagedResourceDetach:
      properties:
        resource_type:
          $ref: '#/components/schemas/SyncResourceType'
        local_id:
          type: string
          format: uuid
          title: Local Id
        new_name:
          type: string
          maxLength: 100
          minLength: 1
          title: New Name
      type: object
      required:
        - resource_type
        - local_id
        - new_name
      title: ManagedResourceDetach
      description: Detach a managed resource into an editable copy named ``new_name``.
    DetachedCopy:
      properties:
        resource_type:
          $ref: '#/components/schemas/SyncResourceType'
        local_id:
          type: string
          format: uuid
          title: Local Id
        name:
          type: string
          title: Name
        original_local_id:
          type: string
          format: uuid
          title: Original Local Id
      type: object
      required:
        - resource_type
        - local_id
        - name
        - original_local_id
      title: DetachedCopy
      description: The copy a detach created.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SyncResourceType:
      type: string
      enum:
        - workflow
        - agent_preset
        - skill
        - table
        - case_tag
        - case_field
        - case_dropdown
        - case_duration
        - variable
        - secret_metadata
      title: SyncResourceType
      description: |-
        Kind of workspace resource that can be synced to and from Git.

        Every member is adapter-backed: it can be projected to and imported from
        repository files.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.